ixp
latest
false
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.
UiPath logo, featuring letters U and I in white

Communications Mining-Benutzerhandbuch

Letzte Aktualisierung 13. März 2026

Datasets

Rufen Sie alle Datasets ab

docs image /api/v1/datasets

Erforderliche Berechtigungen: Beschriftungen anzeigen

  • Bash
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    
  • Knoten
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "datasets": [
        {
          "created": "2018-10-15T15:48:49.603000Z",
          "description": "An optional long form description.",
          "has_sentiment": true,
          "id": "18ba5ce699f8da1f",
          "last_modified": "2018-10-15T15:48:49.603000Z",
          "model_family": "english",
          "name": "example",
          "owner": "<project>",
          "source_ids": ["18ba5ce699f8da1f"],
          "title": "An Example Dataset"
        }
      ],
      "status": "ok"
    }
    {
      "datasets": [
        {
          "created": "2018-10-15T15:48:49.603000Z",
          "description": "An optional long form description.",
          "has_sentiment": true,
          "id": "18ba5ce699f8da1f",
          "last_modified": "2018-10-15T15:48:49.603000Z",
          "model_family": "english",
          "name": "example",
          "owner": "<project>",
          "source_ids": ["18ba5ce699f8da1f"],
          "title": "An Example Dataset"
        }
      ],
      "status": "ok"
    }
    

Datasets nach Projektabrufen

docs image /api/v1/datasets/<project>

Erforderliche Berechtigungen: Beschriftungen anzeigen

Rufen Sie ein Dataset nach Namen ab

docs image /api/v1/datasets/<project>/<dataset_name>

Erforderliche Berechtigungen: Beschriftungen anzeigen

  • Bash
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    
  • Knoten
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "18ba5ce699f8da1f",
        "last_modified": "2018-10-15T15:48:49.603000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Example Dataset"
      },
      "status": "ok"
    }
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "18ba5ce699f8da1f",
        "last_modified": "2018-10-15T15:48:49.603000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Example Dataset"
      },
      "status": "ok"
    }
    

Modell-Tags für ein Datasetabrufen

docs image /api/v1/datasets/<project>/<dataset>/model-tags

Erforderliche Berechtigungen: Modelladministrator

  • Bash
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    curl -X GET 'https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    
  • Knoten
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.get(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.get(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/model-tags",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "model_tags": [
        {
          "name": "prod",
          "updated_at": "2021-11-16T12:31:00.123Z",
          "version": 5
        },
        {
          "name": "staging",
          "updated_at": "2021-11-15T12:30:00.123Z",
          "version": 7
        }
      ],
      "status": "ok"
    }
    {
      "model_tags": [
        {
          "name": "prod",
          "updated_at": "2021-11-16T12:31:00.123Z",
          "version": 5
        },
        {
          "name": "staging",
          "updated_at": "2021-11-15T12:30:00.123Z",
          "version": 7
        }
      ],
      "status": "ok"
    }
    

Ein Dataseterstellen

docs image /api/v1/datasets/<project>/<dataset>

Erforderliche Berechtigungen: Ändern von Datasets

  • Bash
    curl -X PUT 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "dataset": {
        "description": "An optional long form description.",
        "model_family": "english",
        "source_ids": [
          "18ba5ce699f8da1f"
        ],
        "title": "An Example Dataset"
      }
    }'
    curl -X PUT 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "dataset": {
        "description": "An optional long form description.",
        "model_family": "english",
        "source_ids": [
          "18ba5ce699f8da1f"
        ],
        "title": "An Example Dataset"
      }
    }'
    
  • Knoten
    const request = require("request");
    
    request.put(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: {
          dataset: {
            description: "An optional long form description.",
            model_family: "english",
            source_ids: ["18ba5ce699f8da1f"],
            title: "An Example Dataset",
          },
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.put(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: {
          dataset: {
            description: "An optional long form description.",
            model_family: "english",
            source_ids: ["18ba5ce699f8da1f"],
            title: "An Example Dataset",
          },
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.put(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={
            "dataset": {
                "title": "An Example Dataset",
                "description": "An optional long form description.",
                "source_ids": ["18ba5ce699f8da1f"],
                "model_family": "english",
            }
        },
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.put(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={
            "dataset": {
                "title": "An Example Dataset",
                "description": "An optional long form description.",
                "source_ids": ["18ba5ce699f8da1f"],
                "model_family": "english",
            }
        },
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "b9a1fd75f6133bce",
        "last_modified": "2018-10-15T15:48:49.603000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Example Dataset"
      },
      "status": "ok"
    }
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "b9a1fd75f6133bce",
        "last_modified": "2018-10-15T15:48:49.603000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Example Dataset"
      },
      "status": "ok"
    }
    
NameTypErforderlichBeschreibung
titlestringneinEinzeiliger, visuell lesbarer Titel für das Dataset.
descriptionstringneinEine längere Beschreibung des Datasets.
source_idsarray<string>neinEin Array von Quell-IDs, die in dieses Dataset aufgenommen werden sollen.
model_familystringneinDataset-Modellfamilie, kann Englisch oder Mehrsprachig sein. Standardeinstellung ist Englisch. Informationen, die von der mehrsprachigen Modellfamilie unterstützt werden, finden Sie unter Mehrsprachige Quellen und Datasets.
has_sentimentbooleanneinOb Beschriftungen im Dataset mit Stimmung angewendet werden sollen. Die Standardeinstellung ist „true“.

Aktualisieren Sie ein Dataset

docs image /api/v1/datasets/<project>/<dataset>

Erforderliche Berechtigungen: Datasets-Administrator

  • Bash
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "dataset": {
        "title": "An Alternative Title"
      }
    }'
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "dataset": {
        "title": "An Alternative Title"
      }
    }'
    
  • Knoten
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { dataset: { title: "An Alternative Title" } },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { dataset: { title: "An Alternative Title" } },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"dataset": {"title": "An Alternative Title"}},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"dataset": {"title": "An Alternative Title"}},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "b9a1fd75f6133bce",
        "last_modified": "2018-10-15T15:53:08.479000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Alternative Title"
      },
      "status": "ok"
    }
    {
      "dataset": {
        "created": "2018-10-15T15:48:49.603000Z",
        "description": "An optional long form description.",
        "has_sentiment": true,
        "id": "b9a1fd75f6133bce",
        "last_modified": "2018-10-15T15:53:08.479000Z",
        "model_family": "english",
        "name": "example",
        "owner": "<project>",
        "source_ids": ["18ba5ce699f8da1f"],
        "title": "An Alternative Title"
      },
      "status": "ok"
    }
    
NameTypErforderlichBeschreibung
titlestringneinEinzeiliger, visuell lesbarer Titel für das Dataset.
descriptionstringneinEine längere Beschreibung des Datasets.
source_idsarray<string>neinEin Array von Quell-IDs, die in dieses Dataset aufgenommen werden sollen.

Löschen Sie ein Dataset

docs image /api/v1/datasets/<project>/<dataset_name>

Erforderliche Berechtigungen: Datasets-Administrator

  • Bash
    curl -X DELETE 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    curl -X DELETE 'https://<my_api_endpoint>/api/v1/datasets/<project>/example' \
        -H "Authorization: Bearer $REINFER_TOKEN"
    
  • Knoten
    const request = require("request");
    
    request.delete(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.delete(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.delete(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.delete(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "status": "ok"
    }
    {
      "status": "ok"
    }
    

Ein Datasetexportieren

docs image /api/v1/datasets/<project>/<dataset_name>/export

Erforderliche Berechtigungen: Exportieren von Datasets

  • Bash
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/<project>/example/export' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "limit": 1
    }'
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/<project>/example/export' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "limit": 1
    }'
    
  • Knoten
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example/export",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { limit: 1 },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/<project>/example/export",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { limit: 1 },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example/export",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"limit": 1},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/<project>/example/export",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"limit": 1},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • Antwort
    {
      "comments": [
        {
          "annotations": {
            "labels": {
              "assigned": [
                {
                  "name": "Parent Label",
                  "sentiment": "positive"
                },
                {
                  "name": "Parent Label > Child Label",
                  "sentiment": "positive"
                }
              ]
            }
          },
          "comment": {
            "context": "1596721237668",
            "created_at": "2020-08-06T13:20:28.531000Z",
            "has_annotations": true,
            "id": "0123456789abcdef",
            "last_modified": "2020-08-06T13:40:37.668000Z",
            "messages": [
              {
                "body": {
                  "text": "Alice,\n\nHere are the figures for today.\n\nRegards,\nBob"
                },
                "from": "bob@organisation.org",
                "sent_at": "2011-12-11T11:05:10Z",
                "subject": {
                  "text": "Today's figures"
                },
                "to": ["alice@company.com"]
              }
            ],
            "source_id": "47194279497e141e",
            "text_format": "plain",
            "thread_id": "123456",
            "timestamp": "2011-12-11T11:05:10Z",
            "uid": "47194279497e141e.0123456789abcdef",
            "user_properties": {
              "string:Recipient Domain": "company.com",
              "string:Sender Domain": "organisation.org"
            }
          },
          "predictions": {
            "labels": [
              {
                "name": "Another Parent Label",
                "probability": 0.954979807138443,
                "sentiment": -0.4281917143125379
              },
              {
                "name": "Another Parent Label > Another Child Label",
                "probability": 0.7726812064647675,
                "sentiment": -0.6603664430231163
              }
            ]
          }
        }
      ],
      "continuation": "2021-02-16T10:55:05Z.c060a787c0b2bbf95526ad5cf28bf582",
      "status": "ok"
    }
    {
      "comments": [
        {
          "annotations": {
            "labels": {
              "assigned": [
                {
                  "name": "Parent Label",
                  "sentiment": "positive"
                },
                {
                  "name": "Parent Label > Child Label",
                  "sentiment": "positive"
                }
              ]
            }
          },
          "comment": {
            "context": "1596721237668",
            "created_at": "2020-08-06T13:20:28.531000Z",
            "has_annotations": true,
            "id": "0123456789abcdef",
            "last_modified": "2020-08-06T13:40:37.668000Z",
            "messages": [
              {
                "body": {
                  "text": "Alice,\n\nHere are the figures for today.\n\nRegards,\nBob"
                },
                "from": "bob@organisation.org",
                "sent_at": "2011-12-11T11:05:10Z",
                "subject": {
                  "text": "Today's figures"
                },
                "to": ["alice@company.com"]
              }
            ],
            "source_id": "47194279497e141e",
            "text_format": "plain",
            "thread_id": "123456",
            "timestamp": "2011-12-11T11:05:10Z",
            "uid": "47194279497e141e.0123456789abcdef",
            "user_properties": {
              "string:Recipient Domain": "company.com",
              "string:Sender Domain": "organisation.org"
            }
          },
          "predictions": {
            "labels": [
              {
                "name": "Another Parent Label",
                "probability": 0.954979807138443,
                "sentiment": -0.4281917143125379
              },
              {
                "name": "Another Parent Label > Another Child Label",
                "probability": 0.7726812064647675,
                "sentiment": -0.6603664430231163
              }
            ]
          }
        }
      ],
      "continuation": "2021-02-16T10:55:05Z.c060a787c0b2bbf95526ad5cf28bf582",
      "status": "ok"
    }
    

Mit dieser Route können Sie ein Dataset exportieren. Es gibt eine Liste der Kommentare mit zugewiesenen Beschriftungen und neuesten verfügbaren Vorhersagen zurück. Andere Möglichkeiten zum Exportieren eines Datasets sind der CSV-Download im Browser und der JSONL-Download über die CLI. Einen detaillierten Vergleich finden Sie in der Vergleichstabelle.

Anforderungsformat

NMETypErforderlichBeschreibung
comment_uidsarray<string>neinEine Liste von höchstens 256 Kommentar-UIDs (im Format source_id.comment_id). Wenn angegeben, werden nur diese Kommentare in die Antwort aufgenommen. Keine anderen Filter dürfen mit comment_uids übergeben werden.
source_idsarray<string>neinEine Liste von höchstens 1024 Quell-IDs. Wenn angegeben, werden nur Kommentare aus diesen Quellen in die Antwort aufgenommen.
order_bystringneinEntweder created_at oder timestamp. Wenn angegeben, werden die Kommentare zurückgegeben, die entweder nach dem API-Erstellungsdatum der Kommentare (created_at) oder dem benutzerdefinierten Kommentarzeitstempel (timestamp) sortiert sind. Der Standardwert ist timestamp.
fromstringneinEin ISO-8601-Zeitstempel. Wenn angegeben, werden Kommentare erst ab diesem Zeitstempel zurückgegeben. Das zugehörige Feld order_by steuert, welcher Zeitstempel zum Filtern verwendet wird.
tostringneinEin ISO-8601-Zeitstempel. Wenn angegeben, werden Kommentare nur bis zu diesem Zeitstempel (einschließlich) zurückgegeben. Das zugehörige Feld order_by steuert, welcher Zeitstempel zum Filtern verwendet wird.
continuationstringneinPaginierungstoken (in der Antwort bereitgestellt). Sollte verwendet werden, um die nächste limit Anzahl von Kommentaren abzurufen.
limitNummerneinAnzahl der Kommentare, die pro Antwort zurückgegeben werden, bis zu 256. Standard: 64.

Antwortformat

NameTypBeschreibung
commentsarray<Comment>Eine Liste der Kommentare mit ihren zugewiesenen und vorhergesagten Beschriftungen.
continuationstringPaginierungstoken zum Abrufen der nächsten limit Anzahl von Kommentaren. Wenn keine weiteren Kommentare vorhanden sind, ist dieses Feld in der Antwort nicht vorhanden.

Dabei hat Comment das folgende Format:

NameTypBeschreibung
commentobjectKommentarobjekt. Das Format wird in der Kommentarreferenz beschrieben.
annotationsobjectEin Objekt, das ein einzelnes Feld labels.assigned enthält, das eine Liste von Beschriftungen ist, die diesem Kommentar zugewiesen sind. Das Format wird in der Beschriftungsreferenz beschrieben.
Hinweis: Es enthält keine Vorhersagen, da diese Beschriftungen zugewiesen und nicht vorhergesagt werden.
predictionsobjectEin Objekt, das ein einzelnes Feld labels enthält, das eine Liste von Beschriftungen ist, die für diesen Kommentar vorhergesagt werden. Das Format wird in der Beschriftungsreferenz beschrieben.

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben